package com.example.android_24_1_ex1.br;

import com.example.android_24_1_ex1.*;

import android.content.*;
import android.os.*;
import android.util.*;
import android.widget.*;

public class BrEx extends BroadcastReceiver {

	final static String TAG = "BrEX";
	final static String STRING_POWER_CONNECTED = "android.intent.action.ACTION_POWER_CONNECTED";
	final static String STRING_POWER_DISCONNECTED = "android.intent.action.ACTION_POWER_DISCONNECTED";
	
	@Override
	public void onReceive(Context c, Intent i) {
		Log.i(TAG, "onReceive()");
		
		Intent intent = new Intent(c, WorkActivity.class);
		if(i.getAction().equals(STRING_POWER_CONNECTED)) {
			intent.putExtra("powerStatus", "power is connected");
		} else if (i.getAction().equals(STRING_POWER_DISCONNECTED)){
			intent.putExtra("powerStatus", "power is disconnected");
		}
		intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		c.startActivity(intent);
	}
}
